Bug 1008122 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'name_connec...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:369721c844c12d4d338322895ad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 19:23 EDT by Leandro Roa
Modified: 2016-10-10 16:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 06:25:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leandro Roa 2013-09-14 19:23:17 EDT
Description of problem:
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'name_connect' accesses on the tcp_socket .

*****  Plugin mozplugger (89.7 confidence) suggests  *************************

If usted desea usar el paquete plugin
Then debe deshabilitar los controles de SELinux en los complementos de Firefox.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall_boolean (10.0 confidence) suggests  *******************

If desea allow mozilla to plugin can network connect
Then usted debe decir a SELinux sobre esto habilitando el booleano 'mozilla_plugin_can_network_connect'.
Puede leer la página man de 'None' para más detalles.
Do
setsebool -P mozilla_plugin_can_network_connect 1

*****  Plugin catchall (1.69 confidence) suggests  ***************************

If cree que de manera predeterminada, plugin-container debería permitir acceso name_connect sobre   tcp_socket.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:amavisd_recv_port_t:s0
Target Objects                 [ tcp_socket ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          10024
Host                          (removed)
Source RPM Packages           xulrunner-23.0.1-4.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.2.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-301.fc19.x86_64 #1 SMP Tue
                              Jun 11 19:39:38 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-09-13 19:38:22 ART
Last Seen                     2013-09-13 19:39:34 ART
Local ID                      2a6da518-6a00-41cb-813e-704d738869eb

Raw Audit Messages
type=AVC msg=audit(1379111974.368:443): avc:  denied  { name_connect } for  pid=2000 comm="plugin-containe" dest=10024 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:amavisd_recv_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1379111974.368:443): arch=x86_64 syscall=connect success=no exit=EACCES a0=11 a1=7f5464545ee8 a2=10 a3=0 items=0 ppid=1776 pid=2000 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=plugin-containe exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,amavisd_recv_port_t,tcp_socket,name_connect

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.9.5-301.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-09-16 14:47:08 EDT
Any idea why the plugin would try to connect to port 10024?

If you want to allow it.

*****  Plugin catchall_boolean (10.0 confidence) suggests  *******************

If desea allow mozilla to plugin can network connect
Then usted debe decir a SELinux sobre esto habilitando el booleano 'mozilla_plugin_can_network_connect'.
Puede leer la página man de 'None' para más detalles.
Do
setsebool -P mozilla_plugin_can_network_connect 1
Comment 2 Leandro Roa 2016-10-10 16:24:15 EDT
Thanks

Note You need to log in before you can comment on or make changes to this bug.